Bug 210246 - sysutils/usb_modeswitch: update to 2.3.0
Summary: sysutils/usb_modeswitch: update to 2.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 05:42 UTC by Franco Fichtner
Modified: 2016-07-08 15:16 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (melifaro)


Attachments
patch against head (1.09 KB, patch)
2016-06-13 05:42 UTC, Franco Fichtner
tz: maintainer-approval? (melifaro)
Details | Diff
portlint -AC output (12 bytes, text/plain)
2016-06-13 05:42 UTC, Franco Fichtner
no flags Details
poudriere build log (12.65 KB, text/plain)
2016-06-13 05:43 UTC, Franco Fichtner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-06-13 05:42:42 UTC
Created attachment 171363 [details]
patch against head
Comment 1 Franco Fichtner 2016-06-13 05:42:59 UTC
Created attachment 171364 [details]
portlint -AC output
Comment 2 Franco Fichtner 2016-06-13 05:43:17 UTC
Created attachment 171365 [details]
poudriere build log
Comment 3 Torsten Zuehlsdorff freebsd_committer 2016-07-06 12:21:50 UTC
Hello Franco,

thanks for the patch. Please make sure to set the maintainer-approval-flag to '?' if the patch needs its approval. Therefore just go to the "Details" of the patch and set the flag.

Greetings,
Torsten
Comment 4 Franco Fichtner 2016-07-06 12:23:35 UTC
Thanks Torsten, didn't know I could do that.
Comment 5 Torsten Zuehlsdorff freebsd_committer 2016-07-06 12:24:52 UTC
(In reply to Franco Fichtner from comment #4)

You are welcome. :)

Since the PR already exists some weeks but without the right set flag, we need to wait a little longer for maintainer-feedback. I keep an eye on this.
Comment 6 Jason Unovitch freebsd_committer 2016-07-08 01:45:42 UTC
(In reply to Torsten Zuehlsdorff from comment #5)
Torsten, the maintainer-feedback? was automatically set and emailed to the maintainer upon submission so we are over the 2 week timeout period. Consider this 'Approved by: maintainer timeout (3 weeks)' and mentor approved. The maintainer would typically add the maintainer-approval+ when they submit a maintainer update and that would show up in the list of ready to apply PRs.
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-07-08 14:58:15 UTC
@Jason:
Understood, thanks! :)

@Franco:
I noticed, that there was a new release just the day before you post the patch. The current version is 2.4.0, while your patch updates to 2.3.0.

Do you want to update your patch to the newest version or should i commit it like it is?

Greetings,
Torsten
Comment 8 Franco Fichtner 2016-07-08 15:02:41 UTC
Hi Torsten,

Let's get this in, because:

Haven't had the time to test the 2.4.0 release yet.

I have another commit that adds usb_modeswitch-data package which depends on 2.4.0 anyway, so can do both updates in one sweep then.


Thanks,
Franco
Comment 9 commit-hook freebsd_committer 2016-07-08 15:14:50 UTC
A commit references this bug:

Author: tz
Date: Fri Jul  8 15:13:58 UTC 2016
New revision: 418228
URL: https://svnweb.freebsd.org/changeset/ports/418228

Log:
  sysutils/usb_modeswitch: update from 2.2.5 to 2.3.0 and add LICENSE_FILE

  Version 2.3.0

    - ATTENTION: -I flag is now history and being ignored - determining SCSI
      attributes is really an 'outside task'
    - -n flag (NeedResponse) is being ignored, CSW response will now always be read
    - introduction of parameter "OptionMode", wrapping the standard bulk
      message for all newer Huawei devices
    - fixed missing variable initialization in dispatcher script which could lead
      to crash (thanks, Dmitry Kunilov!)
    - fixed bug which prevented early logging
    - fixed success report for Cisco AM10
    - some source code formatting and clean-up

  Version 2.2.6

    - Renamed function abort(), avoiding possible conflicts in static builds
      with libjim (thanks, Gustavo Zacharias)
    - removed storage class check of interface 0 from dispatcher,
      enabling new multi-config devices in data package 20151101

  PR:           210246
  Submitted by: Franco Fichtner <franco@opnsense.org>
  Approved by:  maintainer timeout (3 weeks), junovitch (mentor)

Changes:
  head/sysutils/usb_modeswitch/Makefile
  head/sysutils/usb_modeswitch/distinfo
Comment 10 Torsten Zuehlsdorff freebsd_committer 2016-07-08 15:16:22 UTC
Committed, thanks! :)

Let me know if the other patch is ready.